package gs.test.v0.execution.engine

/** Used to control the behavior of some [[TestEngine]]
  *
  * @param groupConcurrency
  *   [[ConcurrencySetting]] for groups; the number of groups allowed to execute
  *   at the same time.
  * @param testConcurrency
  *   [[ConcurrencySetting]] for tests; the number of tests allowed to execute
  *   at the same time within some group.
  */
case class EngineConfiguration(
  groupConcurrency: ConcurrencySetting,
  testConcurrency: ConcurrencySetting
)
